This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1009095 - [abrt] radiotray-0.7.3-2.fc19: urllib2.py:1184:do_open:URLError: <urlopen error [Errno -2] Name or service not known>
[abrt] radiotray-0.7.3-2.fc19: urllib2.py:1184:do_open:URLError: <urlopen err...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: radiotray (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
abrt_hash:6915aa97d8d09713f233d2f5728...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 12:41 EDT by Boricua
Modified: 2015-02-18 06:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.89 KB, text/plain)
2013-09-17 12:41 EDT, Boricua
no flags Details
File: environ (1.21 KB, text/plain)
2013-09-17 12:41 EDT, Boricua
no flags Details

  None (edit)
Description Boricua 2013-09-17 12:41:10 EDT
Version-Release number of selected component:
radiotray-0.7.3-2.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/radiotray
dso_list:       python-libs-2.7.5-4.fc19.x86_64
executable:     /usr/bin/radiotray
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
urllib2.py:1184:do_open:URLError: <urlopen error [Errno -2] Name or service not known>

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/radiotray/SysTray.py", line 166, in on_turn_on_off
    self.mediator.play(self.mediator.context.station)
  File "/usr/lib/python2.7/site-packages/radiotray/StateMediator.py", line 74, in play
    self.audioPlayer.start(url)
  File "/usr/lib/python2.7/site-packages/radiotray/AudioPlayerGStreamer.py", line 68, in start
    self.playlist = self.decoder.getPlaylist(urlInfo)
  File "/usr/lib/python2.7/site-packages/radiotray/StreamDecoder.py", line 121, in getPlaylist
    return urlInfo.getDecoder().extractPlaylist(urlInfo.getUrl())
  File "/usr/lib/python2.7/site-packages/radiotray/PlsPlaylistDecoder.py", line 47, in extractPlaylist
    f = urllib2.urlopen(req)
  File "/usr/lib64/python2.7/urllib2.py", line 127, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib64/python2.7/urllib2.py", line 404, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.7/urllib2.py", line 422, in _open
    '_open', req)
  File "/usr/lib64/python2.7/urllib2.py", line 382, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 1214, in http_open
    return self.do_open(httplib.HTTPConnection, req)
  File "/usr/lib64/python2.7/urllib2.py", line 1184, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno -2] Name or service not known>

Local variables in innermost frame:
err: gaierror(-2, 'Name or service not known')
h: <httplib.HTTPConnection instance at 0x2872e60>
self: <urllib2.HTTPHandler instance at 0x2872998>
req: <urllib2.Request instance at 0x2871248>
headers: {'Host': 'smoothjazz.com', 'Connection': 'close', 'User-Agent': 'RadioTray/0.7.3 (Linux x86_64; Fedora/19 (Schr\xc3\xb6dinger\xe2\x80\x99s Cat))'}
host: 'smoothjazz.com'
http_class: <class httplib.HTTPConnection at 0x26e0ef0>
Comment 1 Boricua 2013-09-17 12:41:18 EDT
Created attachment 798887 [details]
File: backtrace
Comment 2 Boricua 2013-09-17 12:41:21 EDT
Created attachment 798888 [details]
File: environ
Comment 3 Jean-Francois Saucier 2014-01-10 14:11:09 EST
Thanks for taking the time to report this bug.
Comment 4 Fedora End Of Life 2015-01-09 17:18:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:27:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.